obj
	gemstone
		icon = 'demo.dmi'
		var
			hp
			mp
			str
			dex
			con
			int
			wis
			cha
			bname
			aname
			stata
			statb
		verb
			Combine_with_Weapon(var/obj/weapon/W in usr)
				switch(alert("Do you want to combine a [src] with your [W]?","Combine?","Yes","No"))
					if("Yes")
						if(W.sockets >= 1)
							if(src.stata == 1)
								if(W.stata == 0)
									W.str += src.str
									W.dex += src.dex
									W.int += src.int
									W.wis += src.wis
									W.con += src.con
									W.cha += src.cha
									W.sockets -= 1
									var/na = W.name
									W.name = "[src.aname][na]"
									usr << "<b> You made a [W.name]"
									del(src)
								else
									alert("There is already an ability gem in this weapon.")
							if(src.statb == 1)
								if(W.statb == 0)
									W.hp += src.hp
									W.mp += src.mp
									W.sockets -= 1
									var/na = W.name
									W.name = "[na][src.bname]"
									usr << "<b>You made a [W.name]"
									del(src)

						else
							alert("The [W] doesn't have any free sockets.")

		Gem_of_Power
			icon_state = "str"
			str = 2
			aname = "Powerful "
			stata = 1
			verb/Get()
				set src in oview(1)
				usr.contents += new/obj/gemstone/Gem_of_Power
				del(src)
		Gem_of_Agility
			icon_state = "dex"
			dex = 2
			aname = "Agile "
			stata = 1
			verb/Get()
				set src in oview(1)
				usr.contents += new/obj/gemstone/Gem_of_Agility
				del(src)
		Gem_of_Health
			icon_state = "hp"
			hp = 5
			bname = " of Health"
			statb = 1
			verb/Get()
				set src in oview(1)
				usr.contents += new/obj/gemstone/Gem_of_Health
				del(src)
		Gem_of_Energy
			icon_state = "mp"
			mp = 5
			bname = " of Energy"
			statb = 1
			verb/Get()
				set src in oview(1)
				usr.contents += new/obj/gemstone/Gem_of_Energy
				del(src)

	weapon
		var
			hp
			mp
			str
			dex
			con
			int
			wis
			cha
			sockets
			stata = 0
			statb = 0
		Long_Sword
			icon = 'demo.dmi'
			icon_state = "big"
			name = "Long Sword"
			sockets = 2
			verb/Get()
				set src in oview(1)
				usr.contents += new/obj/weapon/Long_Sword
				del(src)
		Scimitar
			icon = 'demo.dmi'
			icon_state = "med"
			sockets = 1
			verb/Get()
				set src in oview(1)
				usr.contents += new/obj/weapon/Scimitar
				del(src)